[Instantrails-users] error when installing rails

Wahyu Wijaya H. wahyu.wijaya.h at gmail.com
Wed Aug 12 17:14:43 EDT 2009

Hi all,

Sorry if this question popped out many times before, but I am really
new to ruby on rails. I see that InstantRails is a one installer for
Windows so I give it a try. All went fine until I tried the command
'gem install rails --include-dependencies'

I will really appreciate if there is anyone who could help me solve
this problem, or just simply point me out to a source that cab provide
explanation of the problem and solution.

I attach the log file as well.

Here is the error message:

D:/InstantRails/ruby/bin/ruby.exe extconf.rb install rails
checking for fcgiapp.h... no
checking for fastcgi/fcgiapp.h... no
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers.  Check the mkmf.log file for more
details.  You may need configuration options.

Provided configuration options:

Gem files will remain installed in
D:/InstantRails/ruby/lib/ruby/gems/1.8/gems/fcgi-0.8.7 for inspection.
Results logged to

Thanks in advance for the help.

Best Regards,
-------------- next part --------------
A non-text attachment was scrubbed...
Name: gem_make.out
Type: application/octet-stream
Size: 765 bytes
Desc: not available
URL: <http://rubyforge.org/pipermail/instantrails-users/attachments/20090812/b0ad5f7f/attachment.obj>

More information about the Instantrails-users mailing list